package org.jtheque.movies.persistence.od.abstraction;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.abstraction.Data;
import org.jtheque.primary.od.CollectionImpl;

/**
 * A category of movie.
 *
 * @author Baptiste Wicht
 */
public abstract class Category extends Data {
    /**
     * The title of the category.
     */
    private String title;

    /**
     * The collection.
     */
    private CollectionImpl theCollection;

    /**
     * Return the title of the category.
     *
     * @return The title of the category.
     */
    public final String getTitle() {
        return title;
    }

    /**
     * Set the title of the category.
     *
     * @param title The title of the category.
     */
    public final void setTitle(String title) {
        this.title = title;
    }

    /**
     * Return the collection.
     *
     * @return The collection.
     */
    public final CollectionImpl getTheCollection() {
        return theCollection;
    }

    /**
     * Set the collection of the category.
     *
     * @param theCollection The collection of the category.
     */
    public final void setTheCollection(CollectionImpl theCollection) {
        this.theCollection = theCollection;
    }

}