package org.jtheque.movies.views.impl.actions.categories;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.view.impl.actions.JThequeSimpleAction;
import org.jtheque.utils.collections.ArrayUtils;
import org.jtheque.movies.views.able.IMovieView;

import javax.swing.DefaultListModel;
import javax.annotation.Resource;

import java.awt.event.ActionEvent;
import java.util.Arrays;

/**
 * Action to add an actor to the list.
 *
 * @author Baptiste Wicht
 */
public final class AcAddToList extends JThequeSimpleAction {
    private static final long serialVersionUID = -1335864379997427135L;

    @Resource
    private IMovieView movieView;

    public AcAddToList() {
        super();
        
        setText(" >> ");
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        DefaultListModel modelActors = movieView.getPanelCategories().getCategoriesModel();
        DefaultListModel modelActorsForFilm = movieView.getPanelCategories().getCategoriesForMovieModel();

        int[] selectedActors = movieView.getPanelCategories().getSelectedActorsIndices();

        Arrays.sort(selectedActors);

        ArrayUtils.reverse(selectedActors);

        for (int indice : selectedActors) {
            Object actor = modelActors.remove(indice);
            modelActorsForFilm.addElement(actor);
        }
    }
}